/*====================================================*/
/***************** Chatting Page Css *****************/
/*==================================================*/
#chatting-page {
  padding-top: 125px;
}

.chat-freelancers {
  padding: 0px 15px;
}

.chatting-page .search input {
  height: 42px;
  width: 100%;
  padding: 12px 15px;
  border: 1px solid var(--border-one);
  border-radius: 100px;
  outline: none;
  background-color: #fafafa;
}

.chatting-page .search input::placeholder {
  font-family: "FontAwesome";
}

.chatting-page .search input.form-control {
  line-height: 0px;
}

.chatting-page .search input::placeholder {
  padding: 0 5px;
  color: #222222;
}

.chatting-page {

  .menu {

        ul {
          margin-bottom: 0;
          padding: 19px 0px;
          
          li {
            display: inline-block;
            padding-right: 40px;

            &:last-child {
              padding-right: 0px;
            }

            a {
              color: var(--primary-color);
            }
          }
        }
  }

  .users {

        ul {
            li {
              padding: 10px 15px;
              background-color: #fafafa;
              transition: all .5s;

              &:hover {
                border-radius: 10px;
                background-color: var(--primary-color);
              }

              &:hover .user-details a {
                color: #ffffff;
              }

              &:hover .user-details a.user-description {
                color: #e6eaee;
              }

              .user-img {
                float: left;
                position: relative;

                img {
                  border-radius: 100px;
                }
        
                .online-icon:before {
                  content: "";
                  height: 10px;
                  width: 10px;
                  background-color: #42b72a;
                  position: absolute;
                  top: 35px;
                  right: 2px;
                  border: 1px solid #ffffff;
                  border-radius: 100px;
                }

                .msg-alert {
                  height: 16px;
                  width: 16px;
                  font-size: 9px;
                  background-color: #f04a4a;
                  color: #ffffff;
                  position: absolute;
                  top: -2px;
                  left: -5px;
                  text-align: center;
                  line-height: 17px;
                  border-radius: 100px;
                }

              }

              .user-details {
                margin-left: 55px;

                .user-name {
                  color: var(--main-title-color);
                  font-size: 14px;
                  display: block;
                }

                .user-description {
                  color: var(--secondary-text-color);
                  font-size: 14px;
                  line-height: 18px;
                }
              }
            }
        }

        .active {
          background-color: var(--primary-color);
          border-radius: 10px;
        }
  }
}

.chatting-page .users li.active .user-details a {
  color: #ffffff;
}

.chat-freelancers {

    .nav-tabs {
        border-bottom: none;
    }

    .tab-content {
      padding: 0;
    }
}

.chat-panel {
  padding-bottom: 0px;
  
  .chat-header {
    text-align: center;
    padding-bottom: 45px;

    .loading {
      color: var(--primary-color);
      font-size: 14px;
    }

    .time {
      color: var(--secondary-text-color);
      font-size: 14px;
    }
  }

  .chat-avatar {
    float: right;

      img {
        border-radius: 100px;
      }
  }
}

.avatar {
  position: relative;
  display: inline-block;
  white-space: nowrap;
  vertical-align: bottom;
}

.chat-body {
  display: block;
  margin: 10px 30px 18px 0;
  overflow: hidden;

.chat-content {
    position: relative;
    display: block;
    float: right;
    padding: 8px 15px;
    margin: 0 20px 10px 0;
    clear: both;
    background-color: var(--primary-color);
    border-radius: 5px;
  }
}

.chat-content p {
  margin-bottom: 7px;
  color: #ffffff;
}

.chat-time {
  display: block;
  margin-top: 8px;
  color: #ececec;
}

.chat-left {

  .chat-avatar {
    float: left;
  }

  .chat-content {
    float: left;
    margin: 0 0 10px 20px;
    background-color: #eeeef2;
  }

  .chat-content p {
    color: #494949;
  }

  .chat-time {
    color: #7d7d7d;
  }
}

.chat-content+.chat-content:before {
  border-color: transparent;
}

.chat-panel-footer {
  padding-top: 20px;
}

.md-file-send:before {
  content: "\f0c6";
  font-family: "FontAwesome";
  color: var(--secondary-text-color);
}

.md-file-send {
  background: none;
  padding: 5px 3px;
  cursor: pointer;
}

.message-send:before {
  content: "\f1d8";
  font-family: "FontAwesome";
  color: var(--secondary-text-color);
  font-size: 1.31em;
}

.message-send {
  background: none;
  padding: 2px;
  cursor: pointer;
}

.form-material input {
  border: none;
  border-bottom: 1px solid #dcdcdc;
  border-radius: 0px;
}

.input-group-btn label {
  margin-bottom: 0px;
}